/* Copyright Inspirel Sp. z o.o. 2013-2015.
 * This file is part of YAMI4.
 *
 * YAMI4 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * YAMI4 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with YAMI4.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef YAMI4INDUSTRY_BROKER_MESSAGING_H
#define YAMI4INDUSTRY_BROKER_MESSAGING_H

#include "configuration.h"

/**
 * Starts the I/O worker loop and processes all events.
 * This function does not return unless there is a serious error
 * that prevents it from executing the event loop.
 */
void messaging_run(const struct broker_properties * properties);

#endif /* YAMI4INDUSTRY_BROKER_MESSAGING_H */
