/* Copyright Inspirel Sp. z o.o. 2013-2015.
 * This file is part of YAMI4.
 *
 * YAMI4 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * YAMI4 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with YAMI4.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "configuration.h"

#include "../utils.h"

void init_configuration(struct broker_properties * const out_config)
{
    /* these are default values, which should be modified appropriately */

    yami_strncpy(out_config->listener, "tcp://127.0.0.1:12311", MAX_LENGTH_OF_TARGET_NAME);

    out_config->overflow_policy = drop_update;

    out_config->log_main = 1;
    out_config->log_subscriptions = 1;
    out_config->log_messages = 1;
}
